pragma Ada_95;
pragma Source_File_Name (ada_main, Spec_File_Name => "b~gate.ads");
pragma Source_File_Name (ada_main, Body_File_Name => "b~gate.adb");

with System.Restrictions;

package body ada_main is
   pragma Warnings (Off);

   procedure Do_Finalize;
   pragma Import (C, Do_Finalize, "system__standard_library__adafinal");

   Local_Priority_Specific_Dispatching : constant String := "";
   Local_Interrupt_States : constant String := "";

   procedure adainit is
      E013 : Boolean; pragma Import (Ada, E013, "system__soft_links_E");
      E019 : Boolean; pragma Import (Ada, E019, "system__exception_table_E");
      E072 : Boolean; pragma Import (Ada, E072, "ada__io_exceptions_E");
      E093 : Boolean; pragma Import (Ada, E093, "ada__strings_E");
      E095 : Boolean; pragma Import (Ada, E095, "ada__strings__maps_E");
      E098 : Boolean; pragma Import (Ada, E098, "ada__strings__maps__constants_E");
      E047 : Boolean; pragma Import (Ada, E047, "ada__tags_E");
      E056 : Boolean; pragma Import (Ada, E056, "ada__streams_E");
      E074 : Boolean; pragma Import (Ada, E074, "interfaces__c_E");
      E076 : Boolean; pragma Import (Ada, E076, "interfaces__c__strings_E");
      E140 : Boolean; pragma Import (Ada, E140, "ada__calendar_E");
      E146 : Boolean; pragma Import (Ada, E146, "ada__calendar__time_zones_E");
      E241 : Boolean; pragma Import (Ada, E241, "system__assertions_E");
      E009 : Boolean; pragma Import (Ada, E009, "system__secondary_stack_E");
      E065 : Boolean; pragma Import (Ada, E065, "system__finalization_root_E");
      E067 : Boolean; pragma Import (Ada, E067, "system__finalization_implementation_E");
      E063 : Boolean; pragma Import (Ada, E063, "ada__finalization_E");
      E157 : Boolean; pragma Import (Ada, E157, "ada__strings__unbounded_E");
      E138 : Boolean; pragma Import (Ada, E138, "ada__directories_E");
      E084 : Boolean; pragma Import (Ada, E084, "ada__finalization__list_controller_E");
      E082 : Boolean; pragma Import (Ada, E082, "system__file_control_block_E");
      E061 : Boolean; pragma Import (Ada, E061, "system__file_io_E");
      E079 : Boolean; pragma Import (Ada, E079, "system__os_lib_E");
      E163 : Boolean; pragma Import (Ada, E163, "system__regexp_E");
      E055 : Boolean; pragma Import (Ada, E055, "ada__text_io_E");
      E086 : Boolean; pragma Import (Ada, E086, "glib_E");
      E115 : Boolean; pragma Import (Ada, E115, "gtkada__types_E");
      E180 : Boolean; pragma Import (Ada, E180, "gdk__rectangle_E");
      E117 : Boolean; pragma Import (Ada, E117, "glib__glist_E");
      E188 : Boolean; pragma Import (Ada, E188, "gdk__visual_E");
      E119 : Boolean; pragma Import (Ada, E119, "glib__gslist_E");
      E104 : Boolean; pragma Import (Ada, E104, "glib__object_E");
      E106 : Boolean; pragma Import (Ada, E106, "glib__type_conversion_hooks_E");
      E176 : Boolean; pragma Import (Ada, E176, "glib__values_E");
      E186 : Boolean; pragma Import (Ada, E186, "gdk__color_E");
      E225 : Boolean; pragma Import (Ada, E225, "gdk__cursor_E");
      E174 : Boolean; pragma Import (Ada, E174, "glib__generic_properties_E");
      E131 : Boolean; pragma Import (Ada, E131, "glib__xml_E");
      E088 : Boolean; pragma Import (Ada, E088, "glib__glade_E");
      E136 : Boolean; pragma Import (Ada, E136, "gtk__glade_E");
      E167 : Boolean; pragma Import (Ada, E167, "gtk_generates_E");
      E113 : Boolean; pragma Import (Ada, E113, "gtkada__c_E");
      E109 : Boolean; pragma Import (Ada, E109, "gtkada__bindings_E");
      E172 : Boolean; pragma Import (Ada, E172, "gdk__types_E");
      E203 : Boolean; pragma Import (Ada, E203, "gdk__region_E");
      E178 : Boolean; pragma Import (Ada, E178, "gdk__event_E");
      E227 : Boolean; pragma Import (Ada, E227, "gdk__display_E");
      E182 : Boolean; pragma Import (Ada, E182, "gdk__window_E");
      E207 : Boolean; pragma Import (Ada, E207, "gdk__bitmap_E");
      E205 : Boolean; pragma Import (Ada, E205, "gdk__pixmap_E");
      E211 : Boolean; pragma Import (Ada, E211, "glib__properties_E");
      E190 : Boolean; pragma Import (Ada, E190, "gtk__enums_E");
      E209 : Boolean; pragma Import (Ada, E209, "gtk__object_E");
      E233 : Boolean; pragma Import (Ada, E233, "gtk__accel_group_E");
      E239 : Boolean; pragma Import (Ada, E239, "gtk__adjustment_E");
      E197 : Boolean; pragma Import (Ada, E197, "pango__enums_E");
      E215 : Boolean; pragma Import (Ada, E215, "pango__attributes_E");
      E195 : Boolean; pragma Import (Ada, E195, "pango__font_E");
      E199 : Boolean; pragma Import (Ada, E199, "gdk__font_E");
      E201 : Boolean; pragma Import (Ada, E201, "gdk__gc_E");
      E217 : Boolean; pragma Import (Ada, E217, "pango__context_E");
      E219 : Boolean; pragma Import (Ada, E219, "pango__tabs_E");
      E213 : Boolean; pragma Import (Ada, E213, "pango__layout_E");
      E229 : Boolean; pragma Import (Ada, E229, "gdk__drawable_E");
      E231 : Boolean; pragma Import (Ada, E231, "gdk__rgb_E");
      E223 : Boolean; pragma Import (Ada, E223, "gdk__pixbuf_E");
      E192 : Boolean; pragma Import (Ada, E192, "gtk__style_E");
      E184 : Boolean; pragma Import (Ada, E184, "gtk__widget_E");
      E237 : Boolean; pragma Import (Ada, E237, "gtk__container_E");
      E235 : Boolean; pragma Import (Ada, E235, "gtk__bin_E");
      E221 : Boolean; pragma Import (Ada, E221, "gtk__window_E");

      Main_Priority : Integer;
      pragma Import (C, Main_Priority, "__gl_main_priority");
      Time_Slice_Value : Integer;
      pragma Import (C, Time_Slice_Value, "__gl_time_slice_val");
      WC_Encoding : Character;
      pragma Import (C, WC_Encoding, "__gl_wc_encoding");
      Locking_Policy : Character;
      pragma Import (C, Locking_Policy, "__gl_locking_policy");
      Queuing_Policy : Character;
      pragma Import (C, Queuing_Policy, "__gl_queuing_policy");
      Task_Dispatching_Policy : Character;
      pragma Import (C, Task_Dispatching_Policy, "__gl_task_dispatching_policy");
      Priority_Specific_Dispatching : System.Address;
      pragma Import (C, Priority_Specific_Dispatching, "__gl_priority_specific_dispatching");
      Num_Specific_Dispatching : Integer;
      pragma Import (C, Num_Specific_Dispatching, "__gl_num_specific_dispatching");
      Main_CPU : Integer;
      pragma Import (C, Main_CPU, "__gl_main_cpu");
      Interrupt_States : System.Address;
      pragma Import (C, Interrupt_States, "__gl_interrupt_states");
      Num_Interrupt_States : Integer;
      pragma Import (C, Num_Interrupt_States, "__gl_num_interrupt_states");
      Unreserve_All_Interrupts : Integer;
      pragma Import (C, Unreserve_All_Interrupts, "__gl_unreserve_all_interrupts");
      Zero_Cost_Exceptions : Integer;
      pragma Import (C, Zero_Cost_Exceptions, "__gl_zero_cost_exceptions");
      Detect_Blocking : Integer;
      pragma Import (C, Detect_Blocking, "__gl_detect_blocking");
      Default_Stack_Size : Integer;
      pragma Import (C, Default_Stack_Size, "__gl_default_stack_size");
      Leap_Seconds_Support : Integer;
      pragma Import (C, Leap_Seconds_Support, "__gl_leap_seconds_support");

      procedure Install_Handler;
      pragma Import (C, Install_Handler, "__gnat_install_handler");

      Handler_Installed : Integer;
      pragma Import (C, Handler_Installed, "__gnat_handler_installed");
   begin
      Main_Priority := -1;
      Time_Slice_Value := -1;
      WC_Encoding := 'b';
      Locking_Policy := ' ';
      Queuing_Policy := ' ';
      Task_Dispatching_Policy := ' ';
      System.Restrictions.Run_Time_Restrictions :=
        (Set =>
          (False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, True, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False),
         Value => (0, 0, 0, 0, 0, 0, 0),
         Violated =>
          (False, False, True, True, False, False, False, True, 
           True, True, True, True, True, False, False, True, 
           False, False, True, True, False, True, True, True, 
           True, True, True, False, True, True, False, True, 
           False, False, True, False, False, True, False, False, 
           False, True, False, False, True, False, False, False, 
           False, False, False, False, False, True, True, True, 
           False, False, True, False, True, True, True, True, 
           True, False, False, False, False, False, False, False, 
           False),
         Count => (0, 0, 0, 0, 0, 0, 0),
         Unknown => (False, False, False, False, False, False, False));
      Priority_Specific_Dispatching :=
        Local_Priority_Specific_Dispatching'Address;
      Num_Specific_Dispatching := 0;
      Main_CPU := -1;
      Interrupt_States := Local_Interrupt_States'Address;
      Num_Interrupt_States := 0;
      Unreserve_All_Interrupts := 0;
      Zero_Cost_Exceptions := 1;
      Detect_Blocking := 0;
      Default_Stack_Size := -1;
      Leap_Seconds_Support := 0;

      if Handler_Installed = 0 then
         Install_Handler;
      end if;

      System.Exception_Table'Elab_Body;
      E019 := True;
      Ada.Io_Exceptions'Elab_Spec;
      E072 := True;
      Ada.Strings'Elab_Spec;
      E093 := True;
      Ada.Strings.Maps'Elab_Spec;
      Ada.Strings.Maps.Constants'Elab_Spec;
      E098 := True;
      Ada.Tags'Elab_Spec;
      Ada.Streams'Elab_Spec;
      E056 := True;
      Interfaces.C'Elab_Spec;
      Interfaces.C.Strings'Elab_Spec;
      Ada.Calendar'Elab_Spec;
      Ada.Calendar'Elab_Body;
      E140 := True;
      Ada.Calendar.Time_Zones'Elab_Spec;
      E146 := True;
      System.Assertions'Elab_Spec;
      E241 := True;
      E076 := True;
      E074 := True;
      Ada.Tags'Elab_Body;
      E047 := True;
      E095 := True;
      System.Soft_Links'Elab_Body;
      E013 := True;
      System.Secondary_Stack'Elab_Body;
      E009 := True;
      System.Finalization_Root'Elab_Spec;
      E065 := True;
      System.Finalization_Implementation'Elab_Spec;
      System.Finalization_Implementation'Elab_Body;
      E067 := True;
      Ada.Finalization'Elab_Spec;
      E063 := True;
      Ada.Strings.Unbounded'Elab_Spec;
      E157 := True;
      Ada.Directories'Elab_Spec;
      Ada.Finalization.List_Controller'Elab_Spec;
      E084 := True;
      System.File_Control_Block'Elab_Spec;
      E082 := True;
      System.Os_Lib'Elab_Body;
      E079 := True;
      System.File_Io'Elab_Body;
      E061 := True;
      System.Regexp'Elab_Spec;
      E163 := True;
      Ada.Directories'Elab_Body;
      E138 := True;
      Ada.Text_Io'Elab_Spec;
      Ada.Text_Io'Elab_Body;
      E055 := True;
      Glib'Elab_Spec;
      E086 := True;
      Gtkada.Types'Elab_Spec;
      E115 := True;
      E180 := True;
      E117 := True;
      Gdk.Visual'Elab_Spec;
      Gdk.Visual'Elab_Body;
      E188 := True;
      E119 := True;
      Glib.Object'Elab_Spec;
      E106 := True;
      Glib.Values'Elab_Body;
      E176 := True;
      Gdk.Color'Elab_Spec;
      E225 := True;
      Glib.Generic_Properties'Elab_Spec;
      Glib.Generic_Properties'Elab_Body;
      E174 := True;
      E131 := True;
      Glib.Glade'Elab_Spec;
      Glib.Glade'Elab_Body;
      E088 := True;
      Gtk_Generates'Elab_Body;
      E167 := True;
      Gtk.Glade'Elab_Body;
      E136 := True;
      E113 := True;
      Gtkada.Bindings'Elab_Spec;
      E109 := True;
      Glib.Object'Elab_Body;
      E104 := True;
      Gdk.Color'Elab_Body;
      E186 := True;
      Gdk.Types'Elab_Spec;
      E172 := True;
      E203 := True;
      Gdk.Event'Elab_Spec;
      Gdk.Display'Elab_Spec;
      E227 := True;
      Gdk.Window'Elab_Spec;
      E178 := True;
      E207 := True;
      E205 := True;
      Glib.Properties'Elab_Spec;
      E211 := True;
      Gtk.Enums'Elab_Spec;
      E190 := True;
      Gtk.Object'Elab_Spec;
      E209 := True;
      Gtk.Accel_Group'Elab_Spec;
      Gtk.Accel_Group'Elab_Body;
      E233 := True;
      Gtk.Adjustment'Elab_Spec;
      Gtk.Adjustment'Elab_Body;
      E239 := True;
      Pango.Enums'Elab_Spec;
      E197 := True;
      E215 := True;
      Pango.Font'Elab_Spec;
      E195 := True;
      E199 := True;
      E201 := True;
      Pango.Context'Elab_Spec;
      E217 := True;
      E219 := True;
      Pango.Layout'Elab_Spec;
      E213 := True;
      E229 := True;
      E231 := True;
      Gdk.Pixbuf'Elab_Spec;
      E223 := True;
      Gtk.Style'Elab_Spec;
      Gtk.Style'Elab_Body;
      E192 := True;
      Gtk.Widget'Elab_Spec;
      E182 := True;
      Gtk.Container'Elab_Spec;
      Gtk.Container'Elab_Body;
      E237 := True;
      Gtk.Bin'Elab_Spec;
      Gtk.Bin'Elab_Body;
      E235 := True;
      Gtk.Window'Elab_Spec;
      Gtk.Window'Elab_Body;
      E221 := True;
      Gtk.Widget'Elab_Body;
      E184 := True;
   end adainit;

   procedure adafinal is
   begin
      Do_Finalize;
   end adafinal;

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer
   is
      procedure initialize (Addr : System.Address);
      pragma Import (C, initialize, "__gnat_initialize");

      procedure finalize;
      pragma Import (C, finalize, "__gnat_finalize");

      procedure Ada_Main_Program;
      pragma Import (Ada, Ada_Main_Program, "_ada_gate");

      SEH : aliased array (1 .. 2) of Integer;

      Ensure_Reference : aliased System.Address := Ada_Main_Program_Name'Address;
      pragma Volatile (Ensure_Reference);

   begin
      gnat_argc := argc;
      gnat_argv := argv;
      gnat_envp := envp;

      Initialize (SEH'Address);
      adainit;
      Break_Start;
      Ada_Main_Program;
      Do_Finalize;
      Finalize;
      return (gnat_exit_status);
   end;

--  BEGIN Object file/option list
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/glib.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gdk.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/glib-error.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/glib-convert.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/glib-messages.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/glib-unicode.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gtkada.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gtkada-types.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/pango.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gdk-rectangle.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/glib-glist.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gdk-visual.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/glib-gslist.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/glib-type_conversion_hooks.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/glib-values.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gdk-cursor.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/glib-generic_properties.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/glib-xml.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/glib-glade.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gtk.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gtk_generates.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gtk-glade.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gtkada-c.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gtkada-bindings.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/glib-object.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gdk-color.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gdk-types.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gdk-region.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gdk-display.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gdk-event.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gdk-bitmap.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gdk-pixmap.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/glib-properties.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gtk-enums.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gtk-object.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gtk-accel_group.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gtk-adjustment.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/pango-enums.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/pango-attributes.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/pango-font.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gdk-font.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gdk-gc.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/pango-context.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/pango-tabs.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/pango-layout.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gdk-drawable.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gdk-rgb.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gdk-pixbuf.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gtk-style.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gdk-window.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gtk-container.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gtk-bin.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gtk-main.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/tools/obj/gate.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gtk-window.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gtk-widget.o
   --   -L/builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/tools/obj/
   --   -L/builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/
   --   -L/usr/lib/gcc/i686-redhat-linux/4.6.1/adalib/
   --   -static
   --   -lgnat
--  END Object file/option list   

end ada_main;
