pragma Ada_95;
pragma Source_File_Name (ada_main, Spec_File_Name => "b~gdialog.ads");
pragma Source_File_Name (ada_main, Body_File_Name => "b~gdialog.adb");

with System.Restrictions;

package body ada_main is
   pragma Warnings (Off);

   procedure Do_Finalize;
   pragma Import (C, Do_Finalize, "system__standard_library__adafinal");

   Local_Priority_Specific_Dispatching : constant String := "";
   Local_Interrupt_States : constant String := "";

   procedure adainit is
      E013 : Boolean; pragma Import (Ada, E013, "system__soft_links_E");
      E019 : Boolean; pragma Import (Ada, E019, "system__exception_table_E");
      E084 : Boolean; pragma Import (Ada, E084, "ada__io_exceptions_E");
      E046 : Boolean; pragma Import (Ada, E046, "ada__strings_E");
      E050 : Boolean; pragma Import (Ada, E050, "ada__strings__maps_E");
      E057 : Boolean; pragma Import (Ada, E057, "ada__strings__maps__constants_E");
      E059 : Boolean; pragma Import (Ada, E059, "ada__tags_E");
      E068 : Boolean; pragma Import (Ada, E068, "ada__streams_E");
      E086 : Boolean; pragma Import (Ada, E086, "interfaces__c_E");
      E088 : Boolean; pragma Import (Ada, E088, "interfaces__c__strings_E");
      E009 : Boolean; pragma Import (Ada, E009, "system__secondary_stack_E");
      E077 : Boolean; pragma Import (Ada, E077, "system__finalization_root_E");
      E079 : Boolean; pragma Import (Ada, E079, "system__finalization_implementation_E");
      E075 : Boolean; pragma Import (Ada, E075, "ada__finalization_E");
      E096 : Boolean; pragma Import (Ada, E096, "ada__finalization__list_controller_E");
      E094 : Boolean; pragma Import (Ada, E094, "system__file_control_block_E");
      E073 : Boolean; pragma Import (Ada, E073, "system__file_io_E");
      E091 : Boolean; pragma Import (Ada, E091, "system__os_lib_E");
      E067 : Boolean; pragma Import (Ada, E067, "ada__text_io_E");
      E102 : Boolean; pragma Import (Ada, E102, "glib_E");
      E114 : Boolean; pragma Import (Ada, E114, "gtkada__types_E");
      E131 : Boolean; pragma Import (Ada, E131, "gdk__rectangle_E");
      E116 : Boolean; pragma Import (Ada, E116, "glib__glist_E");
      E139 : Boolean; pragma Import (Ada, E139, "gdk__visual_E");
      E118 : Boolean; pragma Import (Ada, E118, "glib__gslist_E");
      E104 : Boolean; pragma Import (Ada, E104, "glib__object_E");
      E106 : Boolean; pragma Import (Ada, E106, "glib__type_conversion_hooks_E");
      E124 : Boolean; pragma Import (Ada, E124, "glib__values_E");
      E137 : Boolean; pragma Import (Ada, E137, "gdk__color_E");
      E174 : Boolean; pragma Import (Ada, E174, "gdk__cursor_E");
      E122 : Boolean; pragma Import (Ada, E122, "glib__generic_properties_E");
      E112 : Boolean; pragma Import (Ada, E112, "gtkada__c_E");
      E109 : Boolean; pragma Import (Ada, E109, "gtkada__bindings_E");
      E127 : Boolean; pragma Import (Ada, E127, "gdk__types_E");
      E152 : Boolean; pragma Import (Ada, E152, "gdk__region_E");
      E129 : Boolean; pragma Import (Ada, E129, "gdk__event_E");
      E176 : Boolean; pragma Import (Ada, E176, "gdk__display_E");
      E133 : Boolean; pragma Import (Ada, E133, "gdk__window_E");
      E156 : Boolean; pragma Import (Ada, E156, "gdk__bitmap_E");
      E154 : Boolean; pragma Import (Ada, E154, "gdk__pixmap_E");
      E160 : Boolean; pragma Import (Ada, E160, "glib__properties_E");
      E120 : Boolean; pragma Import (Ada, E120, "gtk__enums_E");
      E158 : Boolean; pragma Import (Ada, E158, "gtk__object_E");
      E184 : Boolean; pragma Import (Ada, E184, "gtk__accel_group_E");
      E190 : Boolean; pragma Import (Ada, E190, "gtk__adjustment_E");
      E203 : Boolean; pragma Import (Ada, E203, "gtkada__pixmaps_E");
      E146 : Boolean; pragma Import (Ada, E146, "pango__enums_E");
      E164 : Boolean; pragma Import (Ada, E164, "pango__attributes_E");
      E144 : Boolean; pragma Import (Ada, E144, "pango__font_E");
      E148 : Boolean; pragma Import (Ada, E148, "gdk__font_E");
      E150 : Boolean; pragma Import (Ada, E150, "gdk__gc_E");
      E166 : Boolean; pragma Import (Ada, E166, "pango__context_E");
      E168 : Boolean; pragma Import (Ada, E168, "pango__tabs_E");
      E162 : Boolean; pragma Import (Ada, E162, "pango__layout_E");
      E178 : Boolean; pragma Import (Ada, E178, "gdk__drawable_E");
      E180 : Boolean; pragma Import (Ada, E180, "gdk__rgb_E");
      E172 : Boolean; pragma Import (Ada, E172, "gdk__pixbuf_E");
      E141 : Boolean; pragma Import (Ada, E141, "gtk__style_E");
      E135 : Boolean; pragma Import (Ada, E135, "gtk__widget_E");
      E188 : Boolean; pragma Import (Ada, E188, "gtk__container_E");
      E186 : Boolean; pragma Import (Ada, E186, "gtk__bin_E");
      E194 : Boolean; pragma Import (Ada, E194, "gtk__box_E");
      E198 : Boolean; pragma Import (Ada, E198, "gtk__misc_E");
      E196 : Boolean; pragma Import (Ada, E196, "gtk__label_E");
      E170 : Boolean; pragma Import (Ada, E170, "gtk__window_E");
      E209 : Boolean; pragma Import (Ada, E209, "gtk__dialog_E");
      E200 : Boolean; pragma Import (Ada, E200, "gtk__pixmap_E");

      Main_Priority : Integer;
      pragma Import (C, Main_Priority, "__gl_main_priority");
      Time_Slice_Value : Integer;
      pragma Import (C, Time_Slice_Value, "__gl_time_slice_val");
      WC_Encoding : Character;
      pragma Import (C, WC_Encoding, "__gl_wc_encoding");
      Locking_Policy : Character;
      pragma Import (C, Locking_Policy, "__gl_locking_policy");
      Queuing_Policy : Character;
      pragma Import (C, Queuing_Policy, "__gl_queuing_policy");
      Task_Dispatching_Policy : Character;
      pragma Import (C, Task_Dispatching_Policy, "__gl_task_dispatching_policy");
      Priority_Specific_Dispatching : System.Address;
      pragma Import (C, Priority_Specific_Dispatching, "__gl_priority_specific_dispatching");
      Num_Specific_Dispatching : Integer;
      pragma Import (C, Num_Specific_Dispatching, "__gl_num_specific_dispatching");
      Main_CPU : Integer;
      pragma Import (C, Main_CPU, "__gl_main_cpu");
      Interrupt_States : System.Address;
      pragma Import (C, Interrupt_States, "__gl_interrupt_states");
      Num_Interrupt_States : Integer;
      pragma Import (C, Num_Interrupt_States, "__gl_num_interrupt_states");
      Unreserve_All_Interrupts : Integer;
      pragma Import (C, Unreserve_All_Interrupts, "__gl_unreserve_all_interrupts");
      Zero_Cost_Exceptions : Integer;
      pragma Import (C, Zero_Cost_Exceptions, "__gl_zero_cost_exceptions");
      Detect_Blocking : Integer;
      pragma Import (C, Detect_Blocking, "__gl_detect_blocking");
      Default_Stack_Size : Integer;
      pragma Import (C, Default_Stack_Size, "__gl_default_stack_size");
      Leap_Seconds_Support : Integer;
      pragma Import (C, Leap_Seconds_Support, "__gl_leap_seconds_support");

      procedure Install_Handler;
      pragma Import (C, Install_Handler, "__gnat_install_handler");

      Handler_Installed : Integer;
      pragma Import (C, Handler_Installed, "__gnat_handler_installed");
   begin
      Main_Priority := -1;
      Time_Slice_Value := -1;
      WC_Encoding := 'b';
      Locking_Policy := ' ';
      Queuing_Policy := ' ';
      Task_Dispatching_Policy := ' ';
      System.Restrictions.Run_Time_Restrictions :=
        (Set =>
          (False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, True, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False),
         Value => (0, 0, 0, 0, 0, 0, 0),
         Violated =>
          (False, False, True, True, False, False, False, False, 
           True, False, True, True, True, False, False, True, 
           False, False, True, True, False, True, True, True, 
           True, True, True, False, True, True, False, True, 
           False, False, False, False, False, True, False, False, 
           False, True, False, False, True, False, False, False, 
           False, False, False, False, False, True, True, True, 
           False, False, True, False, True, True, True, True, 
           True, False, False, False, False, False, False, False, 
           False),
         Count => (0, 0, 0, 0, 0, 0, 0),
         Unknown => (False, False, False, False, False, False, False));
      Priority_Specific_Dispatching :=
        Local_Priority_Specific_Dispatching'Address;
      Num_Specific_Dispatching := 0;
      Main_CPU := -1;
      Interrupt_States := Local_Interrupt_States'Address;
      Num_Interrupt_States := 0;
      Unreserve_All_Interrupts := 0;
      Zero_Cost_Exceptions := 1;
      Detect_Blocking := 0;
      Default_Stack_Size := -1;
      Leap_Seconds_Support := 0;

      if Handler_Installed = 0 then
         Install_Handler;
      end if;

      System.Exception_Table'Elab_Body;
      E019 := True;
      Ada.Io_Exceptions'Elab_Spec;
      E084 := True;
      Ada.Strings'Elab_Spec;
      E046 := True;
      Ada.Strings.Maps'Elab_Spec;
      Ada.Strings.Maps.Constants'Elab_Spec;
      E057 := True;
      Ada.Tags'Elab_Spec;
      Ada.Streams'Elab_Spec;
      E068 := True;
      Interfaces.C'Elab_Spec;
      Interfaces.C.Strings'Elab_Spec;
      E088 := True;
      E086 := True;
      Ada.Tags'Elab_Body;
      E059 := True;
      E050 := True;
      System.Soft_Links'Elab_Body;
      E013 := True;
      System.Secondary_Stack'Elab_Body;
      E009 := True;
      System.Finalization_Root'Elab_Spec;
      E077 := True;
      System.Finalization_Implementation'Elab_Spec;
      System.Finalization_Implementation'Elab_Body;
      E079 := True;
      Ada.Finalization'Elab_Spec;
      E075 := True;
      Ada.Finalization.List_Controller'Elab_Spec;
      E096 := True;
      System.File_Control_Block'Elab_Spec;
      E094 := True;
      System.Os_Lib'Elab_Body;
      E091 := True;
      System.File_Io'Elab_Body;
      E073 := True;
      Ada.Text_Io'Elab_Spec;
      Ada.Text_Io'Elab_Body;
      E067 := True;
      Glib'Elab_Spec;
      E102 := True;
      Gtkada.Types'Elab_Spec;
      E114 := True;
      E131 := True;
      E116 := True;
      Gdk.Visual'Elab_Spec;
      Gdk.Visual'Elab_Body;
      E139 := True;
      E118 := True;
      Glib.Object'Elab_Spec;
      E106 := True;
      Glib.Values'Elab_Body;
      E124 := True;
      Gdk.Color'Elab_Spec;
      E174 := True;
      Glib.Generic_Properties'Elab_Spec;
      Glib.Generic_Properties'Elab_Body;
      E122 := True;
      E112 := True;
      Gtkada.Bindings'Elab_Spec;
      E109 := True;
      Glib.Object'Elab_Body;
      E104 := True;
      Gdk.Color'Elab_Body;
      E137 := True;
      Gdk.Types'Elab_Spec;
      E127 := True;
      E152 := True;
      Gdk.Event'Elab_Spec;
      Gdk.Display'Elab_Spec;
      E176 := True;
      Gdk.Window'Elab_Spec;
      E129 := True;
      E156 := True;
      E154 := True;
      Glib.Properties'Elab_Spec;
      E160 := True;
      Gtk.Enums'Elab_Spec;
      E120 := True;
      Gtk.Object'Elab_Spec;
      E158 := True;
      Gtk.Accel_Group'Elab_Spec;
      Gtk.Accel_Group'Elab_Body;
      E184 := True;
      Gtk.Adjustment'Elab_Spec;
      Gtk.Adjustment'Elab_Body;
      E190 := True;
      Gtkada.Pixmaps'Elab_Spec;
      E203 := True;
      Pango.Enums'Elab_Spec;
      E146 := True;
      E164 := True;
      Pango.Font'Elab_Spec;
      E144 := True;
      E148 := True;
      E150 := True;
      Pango.Context'Elab_Spec;
      E166 := True;
      E168 := True;
      Pango.Layout'Elab_Spec;
      E162 := True;
      E178 := True;
      E180 := True;
      Gdk.Pixbuf'Elab_Spec;
      E172 := True;
      Gtk.Style'Elab_Spec;
      Gtk.Style'Elab_Body;
      E141 := True;
      Gtk.Widget'Elab_Spec;
      E133 := True;
      Gtk.Container'Elab_Spec;
      Gtk.Container'Elab_Body;
      E188 := True;
      Gtk.Bin'Elab_Spec;
      Gtk.Bin'Elab_Body;
      E186 := True;
      Gtk.Box'Elab_Spec;
      Gtk.Box'Elab_Body;
      E194 := True;
      Gtk.Misc'Elab_Spec;
      Gtk.Misc'Elab_Body;
      E198 := True;
      Gtk.Label'Elab_Spec;
      Gtk.Label'Elab_Body;
      E196 := True;
      Gtk.Window'Elab_Spec;
      Gtk.Window'Elab_Body;
      E170 := True;
      Gtk.Widget'Elab_Body;
      E135 := True;
      Gtk.Dialog'Elab_Spec;
      Gtk.Dialog'Elab_Body;
      E209 := True;
      Gtk.Pixmap'Elab_Spec;
      Gtk.Pixmap'Elab_Body;
      E200 := True;
   end adainit;

   procedure adafinal is
   begin
      Do_Finalize;
   end adafinal;

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer
   is
      procedure initialize (Addr : System.Address);
      pragma Import (C, initialize, "__gnat_initialize");

      procedure finalize;
      pragma Import (C, finalize, "__gnat_finalize");

      procedure Ada_Main_Program;
      pragma Import (Ada, Ada_Main_Program, "_ada_gdialog");

      SEH : aliased array (1 .. 2) of Integer;

      Ensure_Reference : aliased System.Address := Ada_Main_Program_Name'Address;
      pragma Volatile (Ensure_Reference);

   begin
      gnat_argc := argc;
      gnat_argv := argv;
      gnat_envp := envp;

      Initialize (SEH'Address);
      adainit;
      Break_Start;
      Ada_Main_Program;
      Do_Finalize;
      Finalize;
      return (gnat_exit_status);
   end;

--  BEGIN Object file/option list
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/glib.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gdk.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/glib-error.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gtkada.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gtkada-intl.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gtkada-types.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/pango.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gdk-rectangle.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/glib-glist.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gdk-visual.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/glib-gslist.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/glib-type_conversion_hooks.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/glib-values.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gdk-cursor.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/glib-generic_properties.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gtk.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gtkada-c.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gtkada-bindings.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/glib-object.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gdk-color.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gdk-types.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gdk-region.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gdk-display.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gdk-event.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gdk-bitmap.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gdk-pixmap.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/glib-properties.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gtk-enums.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gtk-object.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gtk-accel_group.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gtk-adjustment.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gtkada-pixmaps.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/pango-enums.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/pango-attributes.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/pango-font.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gdk-font.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gdk-gc.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/pango-context.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/pango-tabs.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/pango-layout.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gdk-drawable.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gdk-rgb.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gdk-pixbuf.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gtk-style.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gdk-window.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gtk-container.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gtk-bin.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gtk-box.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gtk-main.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gtk-misc.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gtk-label.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gtk-window.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gtk-widget.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gtk-dialog.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gtk-pixmap.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/gtkada-dialogs.o
   --   /builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/tools/obj/gdialog.o
   --   -L/builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/tools/obj/
   --   -L/builddir/build/BUILD/gtkada-gpl-2.18.0-src/src/lib-obj/
   --   -L/usr/lib/gcc/i686-redhat-linux/4.6.1/adalib/
   --   -static
   --   -lgnat
--  END Object file/option list   

end ada_main;
